﻿using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.System
{

    /// <summary>
    /// 第三方日志  下发设备记录
    /// </summary>
    [SugarTable("bpa_thirdpartypushrecord")]
    public class BPA_ThirdpartyPushRecord : IBaseEntity, IGroupId
    {
        public string GroupId { get; set; }

        /// <summary>
        /// 消息Id 
        /// </summary>
        public string MessageId { get; set; }

        /// <summary>
        /// 下发是否成功
        /// </summary>
        public bool IsPush { get; set; }

        public string CallbackUrl { get; set; }

        /// <summary>
        /// 下发时间
        /// </summary>
        public DateTime? PushTime{ get; set; }

        /// <summary>
        /// 下发设备
        /// </summary>
        public string PushDevice { get; set; }

        /// <summary>
        /// 下发数据
        /// </summary>
        public string PushData { get; set; }


        /// <summary>
        /// 0： 成功   1：失败
        /// </summary>
        public int Status { get; set; }

        /// <summary>
        /// 1.商品  2.物料  3.配方  4.工艺
        /// </summary>
        public int Type { get; set; }

        /// <summary>
        /// 是否回调
        /// </summary>
        public bool IsCallback { get; set; }

        /// <summary>
        /// 回调信息
        /// </summary>
        public string CallbackInfo { get; set; }

    }
}
